Arduino

Reference Language | Libraries | Comparison | Changes

MouseKeyboard

## Keyboard.end()

#### Description

Stops the Leonardo emulating a keyboard connected to the computer. To start keyboard emulation, use Keyboard.begin().

#### Syntax

Keyboard.end()

#### Parameters

none

#### Returns

nothing

### Example

void setup() {
//start keyboard communication
Keyboard.begin();
//send a keystroke
Keyboard.print("Hello!");
//end keyboard communication
Keyboard.end();
}
void loop() {
//do nothing
}
[Get Code]

#### See Also

- Keyboard.begin()
- Keyboard.press()
- Keyboard.print()
- Keyboard.println()
- Keyboard.release()
- Keyboard.releaseAll()
- Keyboard.write()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes